package com.pannk;

import com.pannk.sys.user.entity.SysUserEntity;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.Bean;

import java.util.ArrayList;
import java.util.List;

/**
 * Created by wolf on 20-11-30.
 */
@SpringBootApplication
public class App {

    public static void main(String[] args) {
        SpringApplication.run(App.class, args);
    }

    @Bean
    public List<SysUserEntity> userList() {
        List<SysUserEntity> list = new ArrayList<>();
        SysUserEntity sysUserEntity = new SysUserEntity();
        sysUserEntity.setId(1L);
        sysUserEntity.setName("admin");
        sysUserEntity.setCode("000001");
        sysUserEntity.setAge(26);
        sysUserEntity.setPassword("admin");
        list.add(sysUserEntity);
        sysUserEntity = new SysUserEntity();
        sysUserEntity.setId(2L);
        sysUserEntity.setName("lisi");
        sysUserEntity.setCode("000002");
        sysUserEntity.setAge(28);
        sysUserEntity.setPassword("123456");
        list.add(sysUserEntity);
        return list;
    }
}
